Index: /-luci/trunk/contrib/package/luci-addons/dist/usr/bin/run-parts
===================================================================
--- /ff-luci/trunk/contrib/package/luci-addons/dist/usr/bin/run-parts	(revision 2371)
+++ 	(revision )
@@ -1,18 +1,0 @@
-#!/bin/sh
-set +e
-
-if [ $# -lt 1 ]; then
-        echo "Usage: run-parts <dir>"
-        exit 1
-fi
-
-if [ ! -d $1 ]; then
-        echo "Not a directory: $1"
-        exit 1
-fi
-
-for i in $1/*; do
-	[ -x $i ] && $i
-done
-	
-exit 0
Index: /-luci/trunk/contrib/package/luci-addons/dist/etc/config/luci_hosts
===================================================================
--- /ff-luci/trunk/contrib/package/luci-addons/dist/etc/config/luci_hosts	(revision 3162)
+++ 	(revision )
@@ -1,3 +1,0 @@
-config 'host'
-	option 'ipaddr' '10.11.12.13'
-	option 'hostname' 'sample-host'
Index: /-luci/trunk/contrib/package/luci-addons/dist/etc/init.d/luci_fixtime
===================================================================
--- /ff-luci/trunk/contrib/package/luci-addons/dist/etc/init.d/luci_fixtime	(revision 2732)
+++ 	(revision )
@@ -1,11 +1,0 @@
-#!/bin/sh /etc/rc.common
-
-START=05
-
-start() {
-	cat <<'	EOF' | lua -l luci.fs -l luci.util -
-		if (os.time() < 1000000000) then
-        		os.execute('date -s ' .. os.date('%m%d%H%M%Y', luci.fs.mtime(luci.util.libpath())))
-		end
-	EOF
-}
Index: /-luci/trunk/contrib/package/luci-addons/dist/etc/init.d/luci_ethers
===================================================================
--- /ff-luci/trunk/contrib/package/luci-addons/dist/etc/init.d/luci_ethers	(revision 3297)
+++ 	(revision )
@@ -1,35 +1,0 @@
-#!/bin/sh /etc/rc.common
-START=59
-
-apply_lease() {
-	local cfg="$1"
-
-	config_get macaddr "$cfg" macaddr
-	config_get ipaddr  "$cfg" ipaddr
-
-	[ -n "$macaddr" -a -n "$ipaddr" ] || return 0
-	
-	echo "$macaddr $ipaddr" >> /var/etc/ethers
-}
-
-start() {
-	if [ ! -L /etc/ethers ]; then
-		test -f /etc/ethers && mv /etc/ethers /etc/ethers.local
-		ln -s /var/etc/ethers /etc/ethers
-	fi
-
-	test -d /var/etc || mkdir -p /var/etc
-	
-	config_load luci_ethers
-	config_foreach apply_lease static_lease
-	
-	test -f /etc/ethers.local && cat /etc/ethers.local >> /var/etc/ethers
-	
-	return 0
-}
-
-stop() {
-	test -f /var/etc/ethers && rm -f /var/etc/ethers
-	
-	return 0
-}
Index: /-luci/trunk/contrib/package/luci-addons/dist/etc/init.d/luci_hosts
===================================================================
--- /ff-luci/trunk/contrib/package/luci-addons/dist/etc/init.d/luci_hosts	(revision 3297)
+++ 	(revision )
@@ -1,34 +1,0 @@
-#!/bin/sh /etc/rc.common
-START=60
-
-apply_host() {
-	local cfg="$1"
-
-	config_get hostname "$cfg" hostname
-	config_get ipaddr   "$cfg" ipaddr
-
-	[ -n "$hostname" -a -n "$ipaddr" ] || return 0
-	
-	echo "$ipaddr $hostname" >> /var/etc/hosts
-}
-
-start() {
-	if [ ! -L /etc/hosts ]; then
-		test -f /etc/hosts && mv /etc/hosts /etc/hosts.local
-		ln -s /var/etc/hosts /etc/hosts
-	fi
-
-	test -d /var/etc || mkdir -p /var/etc
-	test -f /etc/hosts.local && cat /etc/hosts.local >> /var/etc/hosts
-	
-	config_load luci_hosts
-	config_foreach apply_host host
-	
-	return 0
-}
-
-stop() {
-	test -f /var/etc/hosts && rm -f /var/etc/hosts
-	
-	return 0
-}
Index: /-luci/trunk/contrib/package/luci-addons/dist/etc/crontabs/root
===================================================================
--- /ff-luci/trunk/contrib/package/luci-addons/dist/etc/crontabs/root	(revision 2868)
+++ 	(revision )
@@ -1,3 +1,0 @@
-* * * * *  /usr/bin/run-parts /etc/cron.minutely
-17 * * * *       /usr/bin/run-parts /etc/cron.hourly
-25 6 * * *       /usr/bin/run-parts /etc/cron.daily
Index: /-luci/trunk/contrib/package/luci-addons/dist/sbin/luci-flash
===================================================================
--- /ff-luci/trunk/contrib/package/luci-addons/dist/sbin/luci-flash	(revision 3315)
+++ 	(revision )
@@ -1,89 +1,0 @@
-#!/bin/sh
-. /etc/functions.sh
-
-# initialize defaults
-RAMFS_COPY_BIN="/usr/bin/awk"       # extra programs for temporary ramfs root
-RAMFS_COPY_DATA=""      # extra data files
-export KEEP_PATTERN=""
-export VERBOSE=0
-
-# parse options
-while [ -n "$1" ]; do
-        case "$1" in
-                -k)
-                		shift
-				export SAVE_CONFIG=1
-                		export KEEP_PATTERN="$1"
-                ;;
-                -*)
-                        echo "Invalid option: $1"
-                        exit 1
-                ;;
-                *) break;;
-        esac
-        shift;
-done
-
-export CONFFILES=/tmp/sysupgrade.conffiles
-export CONF_TAR=/tmp/sysupgrade.tgz
-
-[ -f $CONFFILES ] && rm $CONFFILES
-[ -f $CONF_TAR ]  && rm $CONF_TAR
-
-export ARGV="$*"
-export ARGC="$#"
-
-[ -z "$ARGV" ] && {
-        cat <<EOF
-Usage: $0 [options] <image file or URL>
-
-Options:
-        -k	<"file 1, file 2, ...">	Files to be kept
-EOF
-        exit 1
-}
-
-add_pattern_conffiles() {
-	local file="$1"
-	find $KEEP_PATTERN >> "$file" 2>/dev/null
-	return 0
-}
-
-# hooks
-sysupgrade_image_check="platform_check_image"
-sysupgrade_init_conffiles=""
-
-[ -n "$KEEP_PATTERN" ] && append sysupgrade_init_conffiles "add_pattern_conffiles"
-
-include /lib/upgrade
-
-do_save_conffiles() {
-        [ -z "$(rootfs_type)" ] && {
-                echo "Cannot save config while running from ramdisk."
-                exit 3
-                return 0
-        }
-        run_hooks "$CONFFILES" $sysupgrade_init_conffiles
-
-        v "Saving config files..."
-        [ "$VERBOSE" -gt 1 ] && TAR_V="v" || TAR_V=""
-        tar c${TAR_V}zf "$CONF_TAR" -T "$CONFFILES" 2>/dev/null
-}
-
-type platform_check_image >/dev/null 2>/dev/null || {
-        echo "Firmware upgrade is not implemented for this platform."
-        exit 1
-}
-
-for check in $sysupgrade_image_check; do
-        ( eval "$check \"\$ARGV\"" ) || {
-                echo "Image check '$check' failed."
-                exit 2
-        }
-done
-
-[ -n "$sysupgrade_init_conffiles" ] && do_save_conffiles
-run_hooks "" $sysupgrade_pre_upgrade
-
-v "Switching to ramdisk..."
-run_ramfs '. /etc/functions.sh; include /lib/upgrade; do_upgrade'
Index: /-luci/trunk/contrib/package/luci-addons/Makefile
===================================================================
--- /ff-luci/trunk/contrib/package/luci-addons/Makefile	(revision 3183)
+++ 	(revision )
@@ -1,48 +1,0 @@
-include $(TOPDIR)/rules.mk
-
-PKG_NAME:=luci-addons
-PKG_VERSION:=0.3
-PKG_RELEASE:=1
-
-PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)-$(PKG_VERSION)
-PKG_INSTALL_DIR:=$(PKG_BUILD_DIR)/ipkg-install
-
-include $(INCLUDE_DIR)/package.mk
-
-
-define Build/Compile
-endef
-
-
-define Package/luci-addons
-  SECTION:=utils
-  CATEGORY:=Utilities
-  TITLE:=LuCI System Addons for Kamikaze
-  URL:=http://luci.freifunk-halle.net
-endef
-
-define Package/luci-addons/conffiles
-/etc/config/luci_hosts
-/etc/config/luci_ethers
-endef
-
-define Package/luci-addons/install
-	$(INSTALL_DIR) $(1)/usr/bin
-	$(INSTALL_DIR) $(1)/sbin
-	$(INSTALL_DIR) $(1)/etc/crontabs
-	$(INSTALL_DIR) $(1)/etc/init.d
-	$(INSTALL_DIR) $(1)/etc/config
-
-	$(INSTALL_BIN) ./dist/usr/bin/run-parts $(1)/usr/bin
-	$(INSTALL_BIN) ./dist/sbin/luci-flash $(1)/sbin
-	$(INSTALL_BIN) ./dist/etc/init.d/luci_fixtime $(1)/etc/init.d
-	$(INSTALL_BIN) ./dist/etc/init.d/luci_ethers $(1)/etc/init.d
-	$(INSTALL_BIN) ./dist/etc/init.d/luci_hosts $(1)/etc/init.d
-
-	$(INSTALL_CONF) ./dist/etc/config/luci_ethers $(1)/etc/config
-	$(INSTALL_CONF) ./dist/etc/config/luci_hosts $(1)/etc/config
-
-	$(CP) ./dist/etc/crontabs/root $(1)/etc/crontabs/root
-endef
-
-$(eval $(call BuildPackage,luci-addons))
Index: /ff-luci/trunk/contrib/package/luci/Makefile
===================================================================
--- /ff-luci/trunk/contrib/package/luci/Makefile	(revision 3350)
+++ /ff-luci/trunk/contrib/package/luci/Makefile	(revision 3395)
@@ -210,5 +210,5 @@
 define Package/luci-web
   $(call Package/luci/libtemplate)
-  DEPENDS+=+luci-http +luci-sys +luci-addons +luci-uci +luci-sgi-cgi
+  DEPENDS+=+luci-http +luci-sys +luci-uci +luci-sgi-cgi
   TITLE:=MVC Webframework
 endef
Index: /ff-luci/trunk/applications/luci-splash/root/etc/init.d/luci_splash
===================================================================
--- /ff-luci/trunk/applications/luci-splash/root/etc/init.d/luci_splash	(revision 2746)
+++ /ff-luci/trunk/applications/luci-splash/root/etc/init.d/luci_splash	(revision 3395)
@@ -62,4 +62,9 @@
 	iptables -t nat -A luci_splash_leases -j DROP
 	
+	### Add crontab entry
+	grep luci-splash /var/spool/cron/crontabs/root >/dev/null 2>&1 || {
+		echo '*/5 * * * * 	/usr/sbin/luci-splash sync' >> /var/spool/cron/crontabs/root
+	}
+
 	### Start the splash httpd
 	start-stop-daemon -S -b -q -x /usr/bin/luci-splashd
@@ -76,4 +81,7 @@
 	iptables -t nat -X luci_splash_portal
 	iptables -t nat -X luci_splash
+
+	### Stop the splash httpd
+	start-stop-daemon -K -q -x /usr/bin/luci-splashd
 }
 
Index: /ff-luci/trunk/modules/admin-core/root/etc/config/luci_hosts
===================================================================
--- /ff-luci/trunk/modules/admin-core/root/etc/config/luci_hosts	(revision 3395)
+++ /ff-luci/trunk/modules/admin-core/root/etc/config/luci_hosts	(revision 3395)
@@ -0,0 +1,3 @@
+config 'host'
+	option 'ipaddr' '10.11.12.13'
+	option 'hostname' 'sample-host'
Index: /ff-luci/trunk/modules/admin-core/root/etc/init.d/luci_fixtime
===================================================================
--- /ff-luci/trunk/modules/admin-core/root/etc/init.d/luci_fixtime	(revision 3395)
+++ /ff-luci/trunk/modules/admin-core/root/etc/init.d/luci_fixtime	(revision 3395)
@@ -0,0 +1,11 @@
+#!/bin/sh /etc/rc.common
+
+START=05
+
+start() {
+	cat <<'	EOF' | lua -l luci.fs -l luci.util -
+		if (os.time() < 1000000000) then
+        		os.execute('date -s ' .. os.date('%m%d%H%M%Y', luci.fs.mtime(luci.util.libpath())))
+		end
+	EOF
+}
Index: /ff-luci/trunk/modules/admin-core/root/etc/init.d/luci_ethers
===================================================================
--- /ff-luci/trunk/modules/admin-core/root/etc/init.d/luci_ethers	(revision 3395)
+++ /ff-luci/trunk/modules/admin-core/root/etc/init.d/luci_ethers	(revision 3395)
@@ -0,0 +1,35 @@
+#!/bin/sh /etc/rc.common
+START=59
+
+apply_lease() {
+	local cfg="$1"
+
+	config_get macaddr "$cfg" macaddr
+	config_get ipaddr  "$cfg" ipaddr
+
+	[ -n "$macaddr" -a -n "$ipaddr" ] || return 0
+	
+	echo "$macaddr $ipaddr" >> /var/etc/ethers
+}
+
+start() {
+	if [ ! -L /etc/ethers ]; then
+		test -f /etc/ethers && mv /etc/ethers /etc/ethers.local
+		ln -s /var/etc/ethers /etc/ethers
+	fi
+
+	test -d /var/etc || mkdir -p /var/etc
+	
+	config_load luci_ethers
+	config_foreach apply_lease static_lease
+	
+	test -f /etc/ethers.local && cat /etc/ethers.local >> /var/etc/ethers
+	
+	return 0
+}
+
+stop() {
+	test -f /var/etc/ethers && rm -f /var/etc/ethers
+	
+	return 0
+}
Index: /ff-luci/trunk/modules/admin-core/root/etc/init.d/luci_hosts
===================================================================
--- /ff-luci/trunk/modules/admin-core/root/etc/init.d/luci_hosts	(revision 3395)
+++ /ff-luci/trunk/modules/admin-core/root/etc/init.d/luci_hosts	(revision 3395)
@@ -0,0 +1,34 @@
+#!/bin/sh /etc/rc.common
+START=60
+
+apply_host() {
+	local cfg="$1"
+
+	config_get hostname "$cfg" hostname
+	config_get ipaddr   "$cfg" ipaddr
+
+	[ -n "$hostname" -a -n "$ipaddr" ] || return 0
+	
+	echo "$ipaddr $hostname" >> /var/etc/hosts
+}
+
+start() {
+	if [ ! -L /etc/hosts ]; then
+		test -f /etc/hosts && mv /etc/hosts /etc/hosts.local
+		ln -s /var/etc/hosts /etc/hosts
+	fi
+
+	test -d /var/etc || mkdir -p /var/etc
+	test -f /etc/hosts.local && cat /etc/hosts.local >> /var/etc/hosts
+	
+	config_load luci_hosts
+	config_foreach apply_host host
+	
+	return 0
+}
+
+stop() {
+	test -f /var/etc/hosts && rm -f /var/etc/hosts
+	
+	return 0
+}
Index: /ff-luci/trunk/modules/admin-core/root/sbin/luci-flash
===================================================================
--- /ff-luci/trunk/modules/admin-core/root/sbin/luci-flash	(revision 3395)
+++ /ff-luci/trunk/modules/admin-core/root/sbin/luci-flash	(revision 3395)
@@ -0,0 +1,89 @@
+#!/bin/sh
+. /etc/functions.sh
+
+# initialize defaults
+RAMFS_COPY_BIN="/usr/bin/awk"       # extra programs for temporary ramfs root
+RAMFS_COPY_DATA=""      # extra data files
+export KEEP_PATTERN=""
+export VERBOSE=0
+
+# parse options
+while [ -n "$1" ]; do
+        case "$1" in
+                -k)
+                		shift
+				export SAVE_CONFIG=1
+                		export KEEP_PATTERN="$1"
+                ;;
+                -*)
+                        echo "Invalid option: $1"
+                        exit 1
+                ;;
+                *) break;;
+        esac
+        shift;
+done
+
+export CONFFILES=/tmp/sysupgrade.conffiles
+export CONF_TAR=/tmp/sysupgrade.tgz
+
+[ -f $CONFFILES ] && rm $CONFFILES
+[ -f $CONF_TAR ]  && rm $CONF_TAR
+
+export ARGV="$*"
+export ARGC="$#"
+
+[ -z "$ARGV" ] && {
+        cat <<EOF
+Usage: $0 [options] <image file or URL>
+
+Options:
+        -k	<"file 1, file 2, ...">	Files to be kept
+EOF
+        exit 1
+}
+
+add_pattern_conffiles() {
+	local file="$1"
+	find $KEEP_PATTERN >> "$file" 2>/dev/null
+	return 0
+}
+
+# hooks
+sysupgrade_image_check="platform_check_image"
+sysupgrade_init_conffiles=""
+
+[ -n "$KEEP_PATTERN" ] && append sysupgrade_init_conffiles "add_pattern_conffiles"
+
+include /lib/upgrade
+
+do_save_conffiles() {
+        [ -z "$(rootfs_type)" ] && {
+                echo "Cannot save config while running from ramdisk."
+                exit 3
+                return 0
+        }
+        run_hooks "$CONFFILES" $sysupgrade_init_conffiles
+
+        v "Saving config files..."
+        [ "$VERBOSE" -gt 1 ] && TAR_V="v" || TAR_V=""
+        tar c${TAR_V}zf "$CONF_TAR" -T "$CONFFILES" 2>/dev/null
+}
+
+type platform_check_image >/dev/null 2>/dev/null || {
+        echo "Firmware upgrade is not implemented for this platform."
+        exit 1
+}
+
+for check in $sysupgrade_image_check; do
+        ( eval "$check \"\$ARGV\"" ) || {
+                echo "Image check '$check' failed."
+                exit 2
+        }
+done
+
+[ -n "$sysupgrade_init_conffiles" ] && do_save_conffiles
+run_hooks "" $sysupgrade_pre_upgrade
+
+v "Switching to ramdisk..."
+run_ramfs '. /etc/functions.sh; include /lib/upgrade; do_upgrade'
